Subject: Re: [PATCH v3 07/10] run-command: eliminate calls to error handling functions in child

From: Brandon Williams <[email-masked]>
Date: Fri, 14 Apr 2017 13:22:17 -0700

On 04/14, Eric Wong wrote:
> Brandon Williams <[email-masked]> wrote:
> > +++ b/run-command.c
> > @@ -211,14 +211,82 @@ static const char **prepare_shell_cmd(struct argv_array *out, const char **argv)
> >  #ifndef GIT_WINDOWS_NATIVE
> >  static int child_notifier = -1;
> >  
> > -static void notify_parent(void)
> > +enum child_errcode {
> > +	CHILD_ERR_CHDIR,
> > +	CHILD_ERR_ENOENT,
> > +	CHILD_ERR_SILENT,
> > +	CHILD_ERR_ERRNO,
> > +};
> 
> I realize I introduced this in my original, but trailing commas
> on the last enum value might not be portable.  Checking other
> enum usages in our tree suggests we omit the last comma.

While I realize its not portal, I think there are other places that do
this same thing.  I think it means we can move to a newer standard of C!

In all seriousness though I'll drop the trailing comma.

-- 
Brandon Williams